%define python3_pkgversion 3.11
%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

# Created by pyp2rpm-3.3.3
%global pypi_name requirements-parser
%global src_name requirements_parser

Name:           %{?scl_prefix}python-%{pypi_name}
Version:        0.9.0
Release:        1.0.4%{?dist}
Summary:        Parses Pip requirement files

License:        BSD
URL:            https://github.com/davidfischer/requirements-parser
Source0:        https://files.pythonhosted.org/packages/source/r/%{src_name}/%{src_name}-%{version}.tar.gz
Patch0:         0001-Add-setup.py.patch
BuildArch:      noarch

BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-setuptools
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-rpm-macros
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-pytest


%description
%{summary}

%package -n     %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}
Requires:  %{?scl_prefix}python%{python3_pkgversion}-types-setuptools >= 69.1.0


%description -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%autosetup -n %{src_name}-%{version}
# Remove bundled egg-info
rm -rf %{src_name}.egg-info
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_install
%{?scl:EOF}
#remove test from generic dir
rm -rf %{buildroot}/%{python3_sitelib}/tests

%check
%{pytest}


%files -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/requirements
%{python3_sitelib}/%{src_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Aug 28 2024 Carlos Heiras <carlos.heiras@oracle.com> - - 0.9.0-1.0.4
- Add runtime dependencies

* Tue Aug 27 2024 Alex Burmashev <alexander.burmashev@oracle.com> - - 0.9.0-1.0.3
- Remove incorrectly installed tests

* Wed Aug 22 2024 Carlos Heiras <carlos.heiras@oracle.com> - 0.9.0-1.0.2
- Rename package name on Kebab case

* Wed Jul 24 2024 Craig Guiller <craig.guiller@oracle.com> - 0.9.0-1.0.1
- Update to 0.9.0
- Rebuild for python 3.11
- Add setup.py

* Tue Jan 17 2023 Alex Burmashev <alexander.burmashev@oracel.com> - - 0.2.0-3.0.1
- add python39 rpm macroses to buildrequires

* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 0.2.0-3
- Build against python 3.9

* Mon Sep 06 2021 Evgeni Golov - 0.2.0-2
- Build against Python 3.8

* Thu Nov 05 2020 Evgeni Golov - 0.2.0-1
- Initial package.
